# This is a dataframe to use to translate labels given by respondents to categories
# For a full description of this process, please see Buijs, V. L., & Stulp, G. (2022).
# Friends, family, and family friends: Predicting friendships of Dutch women.
# Social Networks, 70, 25-35. https://doi.org/10.1016/j.socnet.2021.10.008.
# and https://doi.org/10.34894/EZCDOA
# used in `create_relation_labels()`
relabel <- data.frame(
  label_orig = c(
    "14:partner", "14:moeder", "14:\\'stief\\' broer", "14:\\'stief\\' zus",
    "14:adoptie broer", "14:Aanhang zus", "14:adoptie oma", "14:adoptie opa",
    "14:Adoptie ouder", "14:adoptieoude", "14:bijna aangtrouw van me vriend ze kant",
    "14:dochter", "14:Dochter", "14:dochter van 5", "14:getrouwd met nichtje",
    "14:Is mijn zoon", "14:kind", "14:Kind", "14:kind van stiefmoeder",
    "14:Mijn dochter", "14:Mijn zoon", "14:mijn zoon", "14:moeder schoonzus",
    "14:nieuwe partner van moeder", "14:Partner broer", "14:partner moeder",
    "14:partner van \\'stief\\' zus", "14:Partner van broer", "14:partner van broer",
    "14:partner van familielid", "14:partner van mijn moeder", "14:partner van mijn vader",
    "14:partner van mijn zus", "14:partner van mjn broer", "14:partner van vader",
    "14:partner van zus", "14:Partner van zus", "14:Partner zus",
    "14:schoonzus", "14:Schoonzus", "14:schoonzus (partner broer)",
    "14:schoonzusje", "14:stiefmoeder", "14:Stiefmoeder", "14:Stiefvader",
    "14:Stiefzoon", "14:Vriendin broertje", "14:vriendin vader",
    "14:Vriendin van broer", "14:vriendin van broer", "14:vriendin van broertje",
    "14:vriendin van familielid", "14:vriendin van XXX", "14:vriendin van mijn vader",
    "14:Vriendin van mijn vader", "14:Vriendin van mn vader", "14:Vriendin van neef",
    "14:vriendin van vader", "14:zoon", "14:Zoon", "14:Zoon (3)",
    "14:Zwager", "14:zwager", "14:zwwager", "3, 14:schoonzus", "4, 14:",
    "4, 14:Partner van familielid", "4, 14:schoonzus", "4, 14:tante",
    "4, 14:vriend van zus", "4, 14:Vriendin van broer", "14:aan getrouwd kant van me vriend",
    "14:broer van me vriend", "14:moeder van me vriend", "14:moeder van vriend",
    "14:moeder van vriendin", "14:partner van XXX", "14:schoonmoeder",
    "14:Schoonmoeder", "14:schoonouder", "14:Schoonouder", "14:schoonvader",
    "14:schoonvaer", "14:vader van me vriend", "14:vader van vriend",
    "14:zus van me vriend", "5, 14:", "5, 14:partner van familie lid",
    "5, 14:Schoonvader", "14:via werk van mijn man", "14:vriendin van vriend van partnet",
    "6, 14:", "14:Sinds middelbare school uit \\'het circuit\\', via via, zelfde hangout",
    "14:Sinds middelbare school, uti \\'het circuit\\', via via, zelfde hangout",
    "14:klasgenoot", "14:tutor op studie", "9, 14:goede vriendin",
    "10, 14:", "14:colega", "14:collega", "14:gallerie die ik ooit gehuurd heb",
    "14:stage", "14:Vorige werkgever", "14:vroeger op gepast, nu volwassen",
    "14:werk", "14:Werk netwerk", "11, 14:", "11, 14:kennis van familielid",
    "11, 14:ontmoet op festival", "14:commissie", "14:dagbesteding",
    "14:Date", "14:date", "14:feyenoord", "14:forum", "14:Fotoshoot",
    "14:Gezamenlijke activiteit", "14:honden", "14:kerk", "14:Kerk",
    "14:Kroeg", "14:oppassen", "14:rabbijn", "14:spelpunt", "14:sport",
    "14:stad", "14:Stad", "14:uitgaan", "14:Uitgaanscircuit", "14:via een cursus",
    "14:Via een festival", "14:Via het uitgaan", "14:via poepen",
    "14:Via politieke organisatie", "14:Via politieke organisatie/ex",
    "14:via uitgaan", "12, 14:", "12, 14:Partner van middelbareschoolviend",
    "12, 14:vrienden", "14:au pair / nanny vriendin", "14:man van mijn vriendin",
    "14:Man van vriendin", "14:man van vriendin", "14:moeder van beste vriendin",
    "14:Moeder van XXX", "14:moeder van vriendin basisschool", "14:partner van beste vriendin",
    "14:partner van XXX", "14:partner van mijn beste vriendin", "14:partner van vriendi",
    "14:Partner van vriendin", "14:partner van vriendin", "14:partner vriendin",
    "14:Partner vriendin", "14:vader van vriendin", "14:vriend van beste vriendin",
    "14:vriend van kennis/vriendin", "14:Vriend van mijn vriendin XXX",
    "14:Vriend van vriendin", "14:vriend van vriendin", "14:Vrienden",
    "14:vrienden", "14:vriendin van vriend", "14:Vriendin via andere vrienden leren kennen",
    "14:Vriendinnen", "14:zus van vriendin", "13, 14:", "13, 14:gestart als oppas, nu goede vriendi",
    "14:Buren", "14:buren", "14:buurman", "14:buurmeisje van heel vroeger",
    "14:buurt", "14:buurvrouw", "14:destijds buurtgenoot", "14:winkel waar ik kom",
    "1, 14:Family", "10, 14:Festival", "10, 14:goede vriend", "10, 14:Vriendin",
    "11, 12, 14:ouders", "11, 14:Vriendinnen", "12, 14:Kroegkennis",
    "11, 12, 14:Internet chatten", "11, 14:huisgenoot", "11, 14:beste vriend",
    "11, 14:beste vriendin", "11, 14:vriend", "11, 14:Vrienden",
    "11, 14:Vriendin", "11, 14:vriendin", "12, 13, 14:", "13, 14:man XXX, nu goede vriend",
    "12, 14:ex huisgenoot", "12, 14:huisgenoot", "12, 14:internet",
    "12, 14:Vriendin", "13, 14:huisgenoot", "13, 14:ouder van oppaskinderen",
    "13, 14:mijn vriendin", "13, 14:vriend", "13, 14:vriendin", "14:Ex",
    "14:ex", "14:Ex man", "14:Ex partner", "14:ex partner", "14:Ex vriendin",
    "14:Ex-man", "14:Ex-partner", "14:Ex-vriend", "14:expartner, vader van kinderen",
    "14:vader van kinderen", "14:was mijn partner", "14:Hospiteren, huisgenoot",
    "14:hospiteren, nu huisgenoot", "14:Hospiteren, oude huisgenoot",
    "14:huis", "14:huisgenoot", "14:Huisgenoot", "14:Huisgenoot zus",
    "14:Huisgenootje studententijd", "14:oud huisgenoot", "14:Oud huisgenoot",
    "14:Oud-huisgenoot", "14:oude huisgenoot", "14:voormalig huisgenoot",
    "14:begeleidster", "14:hulpverlener", "14:Hulpverlener", "14:is mijn mondhygieniste",
    "14:is mijn pedicure", "14:is mijn vaste fysio", "14:kliniek",
    "14:Koninkijke  Visio", "14:Mijn therapeut", "14:neuroloog",
    "14:Psycholoog", "14:Therapeut", "14:Therapie", "14:therapie",
    "14:Dating app", "14:Datingsite", "14:datingssite", "14:facebook",
    "14:internet", "14:Internet", "14:multimedia", "14:online", "14:social media",
    "14:tinder", "14:via het internet", "14:via sociale media", "14:--",
    "14:---", "14:aannemer", "14:agent", "14:docent", "14:E", "14:Hospita",
    "14:Huisbaas", "14:Huurbaas", "14:instelling", "14:ipce XXX",
    "14:kennis", "14:Kennis/aannemer", "14:keukenboer", "14:lotgenoot",
    "14:mee opgegroeid", "14:Mentor", "14:mijn konijn", "14:mst",
    "14:politie", "14:rechtzaak", "14:stucadoor", "14:v", "14:vrijwilliger",
    "14:vroeger", "14:vroeger, later vriendinnen", "14:ziekenhuisperiode van onze dochter en haar zoon",
    "14:zorgboerderij", "14:Buitenland stage", "14:camping", "14:Camping",
    "14:Ethiopi\u00EB", "14:Groepsvakantie", "14:reizen", "14:tijdens reizen ontmoet",
    "14:trein reis", "14:Vakantie", "14:vakantie", "14:Vroeger op de camping",
    "14:Zomervakantie", "14:ex schoonfamilie", "14:ex schoonmoeder",
    "14:ex schoonvader", "14:ex schoonzus", "14:familie XXX", "14:Kennis/vriendin ex partner",
    "14:oma van dochter", "14:partner ex", "14:Via ex", "14:via ex",
    "14:via ex in studietijd", "14:via ex partner", "14:via mijn ex man",
    "14:vriendin ex partner", "12, 14:Vriend van broer", "14:beste vriendin van mijn moeder",
    "14:collega van moeder", "14:dochter van beste vrienden van mijn ouders",
    "14:dochter van kennis van familielid", "14:dochter van vriendin moeder",
    "14:dochter van vriendin van moeder", "14:ex van broer", "14:Ex vriendin can neef",
    "14:Family", "14:goede vriend van broer", "14:Kennis van Groot-ouders",
    "14:Kennis van Grroot-ouders", "14:kennis van moeder", "14:Kennis van Ouders",
    "14:mijn ouders, kort na de geboorte al leren kenne", "14:moeder van XXX",
    "14:moeders zijn vriendinnen", "14:Onze ouders", "14:onze ouders waren bevriend, dus we zijn van jongs af aan samen opgegroeid.",
    "14:oppas van baby af aan", "14:partner van zoon van vriendin van mijn moeder",
    "14:Schoonfamilie zus", "14:vader schoonzus", "14:via broertje",
    "14:via familie", "14:Via mijn ouders", "14:Via mijn schoonzusje leren kennen",
    "14:Via mijn tante", "14:Via mijn zusje", "14:Vriend van broer",
    "14:vriend van broertje", "14:vriend van familielid", "14:vriend van mijn broer",
    "14:Vriend van ouders", "14:vriend van vader/familie", "14:vriend van zus",
    "14:Vriend van zus", "14:Vriend van zusje", "14:vriend zus",
    "14:vrienden ouders", "14:vriendin moeder", "14:vriendin ouders",
    "14:vriendin van mijn moeder", "14:vriendin van mijn zusje",
    "14:vriendin van moeder", "14:vroeger (onze ouders zijn bevriend)",
    "14:zoon van vriendin van mijn moeder", "14:basisschool kind",
    "14:basisschool van de kinderen", "14:Docent basisschool", "14:juf kinderen",
    "14:Juf van mijn zoon", "14:Kdv", "14:kind", "14:kinderdagverblijf",
    "14:Kinderdagverblijf", "14:kinderen indezelfde klas", "14:kinderen zitten bij elkaar in de klas",
    "14:Logopedie juf van mijn zoon", "14:Moeder van vriendinnetje van dochter",
    "14:moeder vriendinnetje dochter", "14:Oppas", "14:ouder van vriendin dochter",
    "14:ouder van vriendje kind", "14:ouder vriendin kind", "14:peuterspeelzaal kind",
    "14:school", "14:school dochter", "14:school kidneren", "14:school kinderen",
    "14:school van de kids", "14:school van de kinderen", "14:school van dochter",
    "14:school van kinderen", "14:School van mijn zoon", "14:school van mijn zoon",
    "14:school zoon", "14:Van opvang kinderen", "14:Via de kinderen, ouder van vriendje",
    "14:Via school van kinderen", "14:via vriendinnetje dochter",
    "14:via vriendinnetje van mijn zoon", "14:via zoon", "14:Zwangerschap",
    "14:Beste vriend", "14:beste vriendin", "14:Beste vriendin",
    "14:bestevriendin", "14:een vriend", "14:goede vriend", "14:jeugdvriend",
    "14:Vrendin", "14:Vriend", "14:vriend", "14:vriendin", "14:Vriendin",
    "14:vriending", "6, 12, 14:Kroegkennis", "6, 12, 14:partner van een vriendin",
    "6, 14:vakantie", "6, 14:vrien", "6, 14:Vriend", "6, 14:Vrienden",
    "6, 14:vriendin", "6, 7, 8, 11, 12, 14:Vriendin", "7, 14:gemeenschappelijke vrienden",
    "7, 14:Moeder van vriendinnetje van dochte", "7, 14:Moeder van vriendinnetje van dochter",
    "7, 14:peuterspeelzaal", "7, 14:vriendin", "7, 8, 9, 14:huisgenoot",
    "8, 9, 14:huisgenoot", "9, 10, 14:", "9, 10, 11, 12, 14:ex huisgenoot",
    "9, 10, 11, 14:ex huisgenoot", "11, 14:studievereniging", "14:studentenvereniging",
    "9, 14:ISOW Studentenvereniging", "9, 11, 12, 14:ISOW Portugese les",
    "9, 11, 12, 13, 14:ISOW studentenvereniging", "9, 11, 14:huisgenoot",
    "9, 11, 14:voormalig huisgenoot", "9, 14:ex partner", "9, 14:huisgenoot",
    "14:Hoi", "14:Ken ik niet", "14:Ken k niet", "14:Niet", "3, 14:Deze perongelijk dubbel ingevuld....",
    "14: Via familie", "12, 14: Via familie", "14: hulpverlener",
    "14: overige", "14: via ex", "14: via familie", "14: via kinderen",
    "14:[naam instelling]", "9, 14:Studentenvereniging", "9, 11, 12, 14:Portugese les",
    "14:Vriend van mijn vriendin [naam]", "9, 11, 12, 13, 14:studentenvereniging",
    "14:overige"
  ),
  label_rec = c(
    "1", "2", "3", "3", "3", "4", "4", "4", "4", "4", "4", "4",
    "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4",
    "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4",
    "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4",
    "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4",
    "4", "4", "4", "4", "4", "4", "4", "5", "5", "5", "5", "5", "5",
    "5", "5", "5", "5", "5", "5", "5", "5", "5", "5", "5", "5", "6",
    "6", "6", "8", "8", "9", "9", "9, 14: vriend", "10", "10", "10",
    "10", "10", "10", "10", "10", "10", "11", "11, 14: via familie",
    "11", "11", "11", "11", "11", "11", "11", "11", "11", "11", "11",
    "11", "11", "11", "11", "11", "11", "11", "11", "11", "11", "11",
    "11", "11", "11", "11", "11", "11", "12", "12", "12", "12", "12",
    "12", "12", "12", "12", "12", "12", "12", "12", "12", "12", "12",
    "12", "12", "12", "12", "12", "12", "12", "12", "12", "12", "12",
    "12", "12", "12", "13", "13", "13", "13", "13", "13", "13", "13",
    "13", "13", "1, 14: via familie", "10, 11", "10, 14: vriend",
    "10, 14: vriend", "11, 12", "11, 12", "11, 12", "11, 12, 14: internet",
    "11, 14: huisgenoot", "11, 14: vriend", "11, 14: vriend", "11, 14: vriend",
    "11, 12", "11, 14: vriend", "11, 14: vriend", "12, 13", "12, 13",
    "12, 14: huisgenoot", "12, 14: huisgenoot", "12, 14: internet",
    "12, 14: vriend", "13, 14: huisgenoot", "13, 14: via kinderen",
    "13, 14: vriend", "13, 14: vriend", "13, 14: vriend", "14: ex",
    "14: ex", "14: ex", "14: ex", "14: ex", "14: ex", "14: ex", "14: ex",
    "14: ex", "14: ex", "14: ex", "14: ex", "14: huisgenoot", "14: huisgenoot",
    "14: huisgenoot", "14: huisgenoot", "14: huisgenoot", "14: huisgenoot",
    "14: huisgenoot", "14: huisgenoot", "14: huisgenoot", "14: huisgenoot",
    "14: huisgenoot", "14: huisgenoot", "14: huisgenoot", "14: hulpverlener",
    "14: hulpverlener", "14: hulpverlener", "14: hulpverlener", "14: hulpverlener",
    "14: hulpverlener", "14: hulpverlener", "14: hulpverlener", "14: hulpverlener",
    "14: hulpverlener", "14: hulpverlener", "14: hulpverlener", "14: hulpverlener",
    "14: hulpverlener", "14: internet", "14: internet", "14: internet",
    "14: internet", "14: internet", "14: internet", "14: internet",
    "14: internet", "14: internet", "14: internet", "14: internet",
    "14: internet", "14: overige", "14: overige", "14: overige",
    "14: overige", "14: overige", "14: overige", "14: overige", "14: overige",
    "14: overige", "14: overige", "14: overige", "14: overige", "14: overige",
    "14: overige", "14: overige", "14: overige", "14: overige", "14: overige",
    "14: overige", "14: overige", "14: overige", "14: overige", "14: overige",
    "14: overige", "14: overige", "14: overige", "14: overige", "14: overige",
    "14: reizen", "14: reizen", "14: reizen", "14: reizen", "14: reizen",
    "14: reizen", "14: reizen", "14: reizen", "14: reizen", "14: reizen",
    "14: reizen", "14: reizen", "14: via ex", "14: via ex", "14: via ex",
    "14: via ex", "14: via ex", "14: via ex", "14: via ex", "14: via ex",
    "14: via ex", "14: via ex", "14: via ex", "14: via ex", "14: via ex",
    "14: via ex", "14: via familie", "14: via familie", "14: via familie",
    "14: via familie", "14: via familie", "14: via familie", "14: via familie",
    "14: via familie", "14: via familie", "14: via familie", "14: via familie",
    "14: via familie", "14: via familie", "14: via familie", "14: via familie",
    "14: via familie", "14: via familie", "14: via familie", "14: via familie",
    "14: via familie", "14: via familie", "14: via familie", "14: via familie",
    "14: via familie", "14: via familie", "14: via familie", "14: via familie",
    "14: via familie", "14: via familie", "14: via familie", "14: via familie",
    "14: via familie", "14: via familie", "14: via familie", "14: via familie",
    "14: via familie", "14: via familie", "14: via familie", "14: via familie",
    "14: via familie", "14: via familie", "14: via familie", "14: via familie",
    "14: via familie", "14: via familie", "14: via familie", "14: via familie",
    "14: via familie", "14: via kinderen", "14: via kinderen", "14: via kinderen",
    "14: via kinderen", "14: via kinderen", "14: via kinderen", "14: via kinderen",
    "14: via kinderen", "14: via kinderen", "14: via kinderen", "14: via kinderen",
    "14: via kinderen", "14: via kinderen", "14: via kinderen", "14: via kinderen",
    "14: via kinderen", "14: via kinderen", "14: via kinderen", "14: via kinderen",
    "14: via kinderen", "14: via kinderen", "14: via kinderen", "14: via kinderen",
    "14: via kinderen", "14: via kinderen", "14: via kinderen", "14: via kinderen",
    "14: via kinderen", "14: via kinderen", "14: via kinderen", "14: via kinderen",
    "14: via kinderen", "14: via kinderen", "14: via kinderen", "14: via kinderen",
    "14: via kinderen", "14: via kinderen", "14: vriend", "14: vriend",
    "14: vriend", "14: vriend", "14: vriend", "14: vriend", "14: vriend",
    "14: vriend", "14: vriend", "14: vriend", "14: vriend", "14: vriend",
    "14: vriend", "6, 11, 12", "6, 12", "6, 14: reizen", "6, 14: vriend",
    "6, 14: vriend", "6, 14: vriend", "6, 14: vriend", "6, 7, 8, 11, 12, 14: vriend",
    "7, 12", "7, 14: via kinderen", "7, 14: via kinderen", "7, 14: via kinderen",
    "7, 14: vriend", "7, 8, 9, 14: huisgenoot", "8, 9, 14: huisgenoot",
    "9, 10", "9, 10, 11, 12, 14: huisgenoot", "9, 10, 11, 14: huisgenoot",
    "9, 11", "9, 11", "9, 11", "9, 11, 12", "9, 11, 12, 13", "9, 11, 14: huisgenoot",
    "9, 11, 14: huisgenoot", "9, 14: ex", "9, 14: huisgenoot", NA,
    NA, NA, NA, NA, "14: via familie", "12, 14: via familie", "14: hulpverlener",
    "14: overige", "14: via ex", "14: via familie", "14: via kinderen",
    "14: overige", "9, 11", "9, 11, 12, 14: overige", "12", "9, 11, 12, 13",
    "14: overige"
  ),
  label_new = c(
    "1", "2", "3", "3", "3", "4", "4", "4", "4", "4", "4", "4",
    "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4",
    "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4",
    "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4",
    "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4", "4",
    "4", "4", "4", "4", "4", "4", "4", "5", "5", "5", "5", "5", "5",
    "5", "5", "5", "5", "5", "5", "5", "5", "5", "5", "5", "5", "6",
    "6", "6", "8", "8", "9", "9", "9, 23", "10", "10", "10", "10",
    "10", "10", "10", "10", "10", "11", "11, 15", "11", "11", "11",
    "11", "11", "11", "11", "11", "11", "11", "11", "11", "11", "11",
    "11", "11", "11", "11", "11", "11", "11", "11", "11", "11", "11",
    "11", "11", "11", "12", "12", "12", "12", "12", "12", "12", "12",
    "12", "12", "12", "12", "12", "12", "12", "12", "12", "12", "12",
    "12", "12", "12", "12", "12", "12", "12", "12", "12", "12", "12",
    "13", "13", "13", "13", "13", "13", "13", "13", "13", "13", "1, 15",
    "10, 11", "10, 23", "10, 23", "11, 12", "11, 12", "11, 12", "11, 12, 22",
    "11, 17", "11, 23", "11, 23", "11, 23", "11, 12", "11, 23", "11, 23",
    "12, 13", "12, 13", "12, 17", "12, 17", "12, 22", "12, 23", "13, 17",
    "13, 16", "13, 23", "13, 23", "13, 23", "19", "19", "19", "19",
    "19", "19", "19", "19", "19", "19", "19", "19", "17", "17", "17",
    "17", "17", "17", "17", "17", "17", "17", "17", "17", "17", "18",
    "18", "18", "18", "18", "18", "18", "18", "18", "18", "18", "18",
    "18", "18", "22", "22", "22", "22", "22", "22", "22", "22", "22",
    "22", "22", "22", "14", "14", "14", "14", "14", "14", "14", "14",
    "14", "14", "14", "14", "14", "14", "14", "14", "14", "14", "14",
    "14", "14", "14", "14", "14", "14", "14", "14", "14", "21", "21",
    "21", "21", "21", "21", "21", "21", "21", "21", "21", "21", "20",
    "20", "20", "20", "20", "20", "20", "20", "20", "20", "20", "20",
    "20", "20", "15", "15", "15", "15", "15", "15", "15", "15", "15",
    "15", "15", "15", "15", "15", "15", "15", "15", "15", "15", "15",
    "15", "15", "15", "15", "15", "15", "15", "15", "15", "15", "15",
    "15", "15", "15", "15", "15", "15", "15", "15", "15", "15", "15",
    "15", "15", "15", "15", "15", "15", "16", "16", "16", "16", "16",
    "16", "16", "16", "16", "16", "16", "16", "16", "16", "16", "16",
    "16", "16", "16", "16", "16", "16", "16", "16", "16", "16", "16",
    "16", "16", "16", "16", "16", "16", "16", "16", "16", "16", "23",
    "23", "23", "23", "23", "23", "23", "23", "23", "23", "23", "23",
    "23", "6, 11, 12", "6, 12", "6, 21", "6, 23", "6, 23", "6, 23",
    "6, 23", "6, 7, 8, 11, 12, 23", "7, 12", "7, 16", "7, 16", "7, 16",
    "7, 23", "7, 8, 9, 17", "8, 9, 17", "9, 10", "9, 10, 11, 12, 17",
    "9, 10, 11, 17", "9, 11", "9, 11", "9, 11", "9, 11, 12", "9, 11, 12, 13",
    "9, 11, 17", "9, 11, 17", "9, 19", "9, 17", NA, NA, NA, NA, NA,
    "15", "12, 15", "18", "14", "20", "15", "16", "14", "9, 11",
    "9, 11, 12, 14", "12", "9, 11, 12, 13", "14"
  )
)
