# list (lookup table) of variable names and their question labels
# used in `change_column_types()`
var_labels_lookup <- c(
  "Number of the household member encrypted" = "nomem_encr",
  "Year and month of the field work period" = "year_month_survey",
  "Do you currently have a partner?" = "partner",
  "Duration answer wj18a001 in seconds" = "time_partner",
  "What is your partner's gender?" = "sex_partner",
  "Duration answer wj18a003 in seconds" = "time_sex_partner",
  "What is your partner's year of birth?" = "birthyear_partner",
  "Duration answer wj18a005 in seconds" = "time_birthyear_partner",
  "How long have you and your partner been in a relationship?" = "relationship_duration",
  "Duration answer 'How long have you and your partner been in a relationship?' in seconds" = "time_relationship_duration",
  "Do you live together with your partner?" = "cohabiting",
  "Duration answer 'Do you live together with your partner?' in seconds" = "time_cohabiting",
  "What kind of a cohabitation form do you have with your partner?" = "cohabitation_form",
  "Duration answer 'What kind of a cohabitation form do you have with your partner?' in seconds" = "time_cohabitation_form",
  "Do you have children?" = "has_children",
  "Duration answer 'Do you have children?' in seconds" = "time_has_children",
  "How many children do you have?" = "num_children",
  "Duration answer 'How many children do you have?' in seconds" = "time_num_children",
  "Of how many of these children are you the biological parent?" = "num_children_biol",
  "Duration answer 'Of how many of these children are you the biological parent?' in seconds" = "time_num_children_biol",
  "Does your partner have any children from a previous relationship?" = "num_children_partner",
  "Duration answer 'Does your partner have any children from a previous relationship?' in seconds" = "time_num_children_partner",
  "Do you expect to have [more] children in the future?" = "childwish",
  "Duration answer 'Do you expect to have more children in the future?' in seconds" = "time_childwish",
  "How many children in all would you like to have?" = "ideal_family_size",
  "Duration answer 'How many children in all would you like to have?' in seconds" = "time_ideal_family_size",
  "We are curious to know how strong your preferences are with respect to the number of children you would like to have." = "strength_preference",
  "Duration answer 'We are curious to know how strong your preferences are with respect to the number of children you would like to have.' in seconds" = "time_strength_preference",
  "Within how many years would you like to have a child?" = "when_childwish",
  "Duration answer 'Within how many years would you like to have a child?' in seconds" = "time_when_childwish",
  "Have you ever discussed your wishes regarding children with your partner?" = "discussed_childwish",
  "Duration answer 'Have you ever discussed your wishes regarding children with your partner?' in seconds" = "time_discussed_childwish",
  "Which statement best describes your situation with respect to your and your partner's wishes regarding children?" = "childwish_partner",
  "Duration answer 'Which statement best describes your situation with respect to your and your partner's wishes regarding children?' in seconds" = "time_childwish_partner",
  "What do you consider to be a suitable number of children for an average family in the Netherlands?" = "family_size_nl",
  "Duration answer 'What do you consider to be a suitable number of children for an average family in the Netherlands?' in seconds" = "time_family_size_nl",
  "Which statement best describes your feelings with respect to having children and being happy in life?" = "happiness_children",
  "Duration answer 'Which statement best describes your feelings with respect to having children and being happy in life?' in seconds" = "time_happiness_children",
  "Person 1 with whom you have had contact in the past year" = "alter1",
  "Duration answer wj18a037 in seconds" = "time_alter1",
  "Person 2 with whom you have had contact in the past year" = "alter2",
  "Duration answer wj18a039 in seconds" = "time_alter2",
  "Person 3 with whom you have had contact in the past year" = "alter3",
  "Duration answer wj18a041 in seconds" = "time_alter3",
  "Person 4 with whom you have had contact in the past year" = "alter4",
  "Duration answer wj18a043 in seconds" = "time_alter4",
  "Person 5 with whom you have had contact in the past year" = "alter5",
  "Duration answer wj18a045 in seconds" = "time_alter5",
  "Person 6 with whom you have had contact in the past year" = "alter6",
  "Duration answer wj18a047 in seconds" = "time_alter6",
  "Person 7 with whom you have had contact in the past year" = "alter7",
  "Duration answer wj18a049 in seconds" = "time_alter7",
  "Person 8 with whom you have had contact in the past year" = "alter8",
  "Duration answer wj18a051 in seconds" = "time_alter8",
  "Person 9 with whom you have had contact in the past year" = "alter9",
  "Duration answer wj18a053 in seconds" = "time_alter9",
  "Person 10 with whom you have had contact in the past year" = "alter10",
  "Duration answer wj18a055 in seconds" = "time_alter10",
  "Person 11 with whom you have had contact in the past year" = "alter11",
  "Duration answer wj18a057 in seconds" = "time_alter11",
  "Person 12 with whom you have had contact in the past year" = "alter12",
  "Duration answer wj18a059 in seconds" = "time_alter12",
  "Person 13 with whom you have had contact in the past year" = "alter13",
  "Duration answer wj18a061 in seconds" = "time_alter13",
  "Person 14 with whom you have had contact in the past year" = "alter14",
  "Duration answer wj18a063 in seconds" = "time_alter14",
  "Person 15 with whom you have had contact in the past year" = "alter15",
  "Duration answer wj18a065 in seconds" = "time_alter15",
  "Person 16 with whom you have had contact in the past year" = "alter16",
  "Duration answer wj18a067 in seconds" = "time_alter16",
  "Person 17 with whom you have had contact in the past year" = "alter17",
  "Duration answer wj18a069 in seconds" = "time_alter17",
  "Person 18 with whom you have had contact in the past year" = "alter18",
  "Duration answer wj18a071 in seconds" = "time_alter18",
  "Person 19 with whom you have had contact in the past year" = "alter19",
  "Duration answer wj18a073 in seconds" = "time_alter19",
  "Person 20 with whom you have had contact in the past year" = "alter20",
  "Duration answer wj18a075 in seconds" = "time_alter20",
  "Person 21 with whom you have had contact in the past year" = "alter21",
  "Duration answer wj18a077 in seconds" = "time_alter21",
  "Person 22 with whom you have had contact in the past year" = "alter22",
  "Duration answer wj18a079 in seconds" = "time_alter22",
  "Person 23 with whom you have had contact in the past year" = "alter23",
  "Duration answer wj18a081 in seconds" = "time_alter23",
  "Person 24 with whom you have had contact in the past year" = "alter24",
  "Duration answer wj18a083 in seconds" = "time_alter24",
  "Person 25 with whom you have had contact in the past year" = "alter25",
  "Duration answer wj18a085 in seconds" = "time_alter25",
  "Gender person 1" = "sex_alter1",
  "Gender person 2" = "sex_alter2",
  "Gender person 3" = "sex_alter3",
  "Gender person 4" = "sex_alter4",
  "Gender person 5" = "sex_alter5",
  "Gender person 6" = "sex_alter6",
  "Gender person 7" = "sex_alter7",
  "Gender person 8" = "sex_alter8",
  "Gender person 9" = "sex_alter9",
  "Gender person 10" = "sex_alter10",
  "Gender person 11" = "sex_alter11",
  "Gender person 12" = "sex_alter12",
  "Gender person 13" = "sex_alter13",
  "Gender person 14" = "sex_alter14",
  "Gender person 15" = "sex_alter15",
  "Gender person 16" = "sex_alter16",
  "Gender person 17" = "sex_alter17",
  "Gender person 18" = "sex_alter18",
  "Gender person 19" = "sex_alter19",
  "Gender person 20" = "sex_alter20",
  "Gender person 21" = "sex_alter21",
  "Gender person 22" = "sex_alter22",
  "Gender person 23" = "sex_alter23",
  "Gender person 24" = "sex_alter24",
  "Gender person 25" = "sex_alter25",
  "Duration answer wj18a087 - wj18a111 in seconds" = "time_sex_alters",
  "Age person 1" = "age_alter1",
  "Age person 2" = "age_alter2",
  "Age person 3" = "age_alter3",
  "Age person 4" = "age_alter4",
  "Age person 5" = "age_alter5",
  "Age person 6" = "age_alter6",
  "Age person 7" = "age_alter7",
  "Age person 8" = "age_alter8",
  "Age person 9" = "age_alter9",
  "Age person 10" = "age_alter10",
  "Age person 11" = "age_alter11",
  "Age person 12" = "age_alter12",
  "Age person 13" = "age_alter13",
  "Age person 14" = "age_alter14",
  "Age person 15" = "age_alter15",
  "Age person 16" = "age_alter16",
  "Age person 17" = "age_alter17",
  "Age person 18" = "age_alter18",
  "Age person 19" = "age_alter19",
  "Age person 20" = "age_alter20",
  "Age person 21" = "age_alter21",
  "Age person 22" = "age_alter22",
  "Age person 23" = "age_alter23",
  "Age person 24" = "age_alter24",
  "Age person 25" = "age_alter25",
  "Duration answer wj18a113 - wj18a137 in seconds" = "time_age_alters",
  "Relationship with person 1" = "relation_alter1",
  "Relationship with person 2" = "relation_alter2",
  "Relationship with person 3" = "relation_alter3",
  "Relationship with person 4" = "relation_alter4",
  "Relationship with person 5" = "relation_alter5",
  "Relationship with person 6" = "relation_alter6",
  "Relationship with person 7" = "relation_alter7",
  "Relationship with person 8" = "relation_alter8",
  "Relationship with person 9" = "relation_alter9",
  "Relationship with person 10" = "relation_alter10",
  "Relationship with person 11" = "relation_alter11",
  "Relationship with person 12" = "relation_alter12",
  "Relationship with person 13" = "relation_alter13",
  "Relationship with person 14" = "relation_alter14",
  "Relationship with person 15" = "relation_alter15",
  "Relationship with person 16" = "relation_alter16",
  "Relationship with person 17" = "relation_alter17",
  "Relationship with person 18" = "relation_alter18",
  "Relationship with person 19" = "relation_alter19",
  "Relationship with person 20" = "relation_alter20",
  "Relationship with person 21" = "relation_alter21",
  "Relationship with person 22" = "relation_alter22",
  "Relationship with person 23" = "relation_alter23",
  "Relationship with person 24" = "relation_alter24",
  "Relationship with person 25" = "relation_alter25",
  "Duration answer wj18a139 - wj18a163 in seconds" = "time_relation_alters",
  "How close is your bond with person 1" = "closeness_alter1",
  "How close is your bond with person 2" = "closeness_alter2",
  "How close is your bond with person 3" = "closeness_alter3",
  "How close is your bond with person 4" = "closeness_alter4",
  "How close is your bond with person 5" = "closeness_alter5",
  "How close is your bond with person 6" = "closeness_alter6",
  "How close is your bond with person 7" = "closeness_alter7",
  "How close is your bond with person 8" = "closeness_alter8",
  "How close is your bond with person 9" = "closeness_alter9",
  "How close is your bond with person 10" = "closeness_alter10",
  "How close is your bond with person 11" = "closeness_alter11",
  "How close is your bond with person 12" = "closeness_alter12",
  "How close is your bond with person 13" = "closeness_alter13",
  "How close is your bond with person 14" = "closeness_alter14",
  "How close is your bond with person 15" = "closeness_alter15",
  "How close is your bond with person 16" = "closeness_alter16",
  "How close is your bond with person 17" = "closeness_alter17",
  "How close is your bond with person 18" = "closeness_alter18",
  "How close is your bond with person 19" = "closeness_alter19",
  "How close is your bond with person 20" = "closeness_alter20",
  "How close is your bond with person 21" = "closeness_alter21",
  "How close is your bond with person 22" = "closeness_alter22",
  "How close is your bond with person 23" = "closeness_alter23",
  "How close is your bond with person 24" = "closeness_alter24",
  "How close is your bond with person 25" = "closeness_alter25",
  "Duration answer wj18a165 - wj18a189 in seconds" = "time_closeness_alters",
  "Highest level of education completed successfully person 1" = "education_alter1",
  "Highest level of education completed successfully person 2" = "education_alter2",
  "Highest level of education completed successfully person 3" = "education_alter3",
  "Highest level of education completed successfully person 4" = "education_alter4",
  "Highest level of education completed successfully person 5" = "education_alter5",
  "Highest level of education completed successfully person 6" = "education_alter6",
  "Highest level of education completed successfully person 7" = "education_alter7",
  "Highest level of education completed successfully person 8" = "education_alter8",
  "Highest level of education completed successfully person 9" = "education_alter9",
  "Highest level of education completed successfully person 10" = "education_alter10",
  "Highest level of education completed successfully person 11" = "education_alter11",
  "Highest level of education completed successfully person 12" = "education_alter12",
  "Highest level of education completed successfully person 13" = "education_alter13",
  "Highest level of education completed successfully person 14" = "education_alter14",
  "Highest level of education completed successfully person 15" = "education_alter15",
  "Highest level of education completed successfully person 16" = "education_alter16",
  "Highest level of education completed successfully person 17" = "education_alter17",
  "Highest level of education completed successfully person 18" = "education_alter18",
  "Highest level of education completed successfully person 19" = "education_alter19",
  "Highest level of education completed successfully person 20" = "education_alter20",
  "Highest level of education completed successfully person 21" = "education_alter21",
  "Highest level of education completed successfully person 22" = "education_alter22",
  "Highest level of education completed successfully person 23" = "education_alter23",
  "Highest level of education completed successfully person 24" = "education_alter24",
  "Highest level of education completed successfully person 25" = "education_alter25",
  "Duration answer wj18a191 - wj18a215 in seconds" = "time_education_alters",
  "How often face-to-face contact with person 1" = "contact_f2f_alter1",
  "How often face-to-face contact with person 2" = "contact_f2f_alter2",
  "How often face-to-face contact with person 3" = "contact_f2f_alter3",
  "How often face-to-face contact with person 4" = "contact_f2f_alter4",
  "How often face-to-face contact with person 5" = "contact_f2f_alter5",
  "How often face-to-face contact with person 6" = "contact_f2f_alter6",
  "How often face-to-face contact with person 7" = "contact_f2f_alter7",
  "How often face-to-face contact with person 8" = "contact_f2f_alter8",
  "How often face-to-face contact with person 9" = "contact_f2f_alter9",
  "How often face-to-face contact with person 10" = "contact_f2f_alter10",
  "How often face-to-face contact with person 11" = "contact_f2f_alter11",
  "How often face-to-face contact with person 12" = "contact_f2f_alter12",
  "How often face-to-face contact with person 13" = "contact_f2f_alter13",
  "How often face-to-face contact with person 14" = "contact_f2f_alter14",
  "How often face-to-face contact with person 15" = "contact_f2f_alter15",
  "How often face-to-face contact with person 16" = "contact_f2f_alter16",
  "How often face-to-face contact with person 17" = "contact_f2f_alter17",
  "How often face-to-face contact with person 18" = "contact_f2f_alter18",
  "How often face-to-face contact with person 19" = "contact_f2f_alter19",
  "How often face-to-face contact with person 20" = "contact_f2f_alter20",
  "How often face-to-face contact with person 21" = "contact_f2f_alter21",
  "How often face-to-face contact with person 22" = "contact_f2f_alter22",
  "How often face-to-face contact with person 23" = "contact_f2f_alter23",
  "How often face-to-face contact with person 24" = "contact_f2f_alter24",
  "How often face-to-face contact with person 25" = "contact_f2f_alter25",
  "Duration answer wj18a217 - wj18a241 in seconds" = "time_contact_f2f_alters",
  "Contact in another way than face-to-face with person 1" = "contact_other_pers_alter1",
  "Contact in another way than face-to-face with person 2" = "contact_other_pers_alter2",
  "Contact in another way than face-to-face with person 3" = "contact_other_pers_alter3",
  "Contact in another way than face-to-face with person 4" = "contact_other_pers_alter4",
  "Contact in another way than face-to-face with person 5" = "contact_other_pers_alter5",
  "Contact in another way than face-to-face with person 6" = "contact_other_pers_alter6",
  "Contact in another way than face-to-face with person 7" = "contact_other_pers_alter7",
  "Contact in another way than face-to-face with person 8" = "contact_other_pers_alter8",
  "Contact in another way than face-to-face with person 9" = "contact_other_pers_alter9",
  "Contact in another way than face-to-face with person 10" = "contact_other_pers_alter10",
  "Contact in another way than face-to-face with person 11" = "contact_other_pers_alter11",
  "Contact in another way than face-to-face with person 12" = "contact_other_pers_alter12",
  "Contact in another way than face-to-face with person 13" = "contact_other_pers_alter13",
  "Contact in another way than face-to-face with person 14" = "contact_other_pers_alter14",
  "Contact in another way than face-to-face with person 15" = "contact_other_pers_alter15",
  "Contact in another way than face-to-face with person 16" = "contact_other_pers_alter16",
  "Contact in another way than face-to-face with person 17" = "contact_other_pers_alter17",
  "Contact in another way than face-to-face with person 18" = "contact_other_pers_alter18",
  "Contact in another way than face-to-face with person 19" = "contact_other_pers_alter19",
  "Contact in another way than face-to-face with person 20" = "contact_other_pers_alter20",
  "Contact in another way than face-to-face with person 21" = "contact_other_pers_alter21",
  "Contact in another way than face-to-face with person 22" = "contact_other_pers_alter22",
  "Contact in another way than face-to-face with person 23" = "contact_other_pers_alter23",
  "Contact in another way than face-to-face with person 24" = "contact_other_pers_alter24",
  "Contact in another way than face-to-face with person 25" = "contact_other_pers_alter25",
  "Duration answer wj18a243 - wj18a267 in seconds" = "time_contact_other_pers_alters",
  "Consider person 1 to be a friend" = "friend_alter1",
  "Consider person 2 to be a friend" = "friend_alter2",
  "Consider person 3 to be a friend" = "friend_alter3",
  "Consider person 4 to be a friend" = "friend_alter4",
  "Consider person 5 to be a friend" = "friend_alter5",
  "Consider person 6 to be a friend" = "friend_alter6",
  "Consider person 7 to be a friend" = "friend_alter7",
  "Consider person 8 to be a friend" = "friend_alter8",
  "Consider person 9 to be a friend" = "friend_alter9",
  "Consider person 10 to be a friend" = "friend_alter10",
  "Consider person 11 to be a friend" = "friend_alter11",
  "Consider person 12 to be a friend" = "friend_alter12",
  "Consider person 13 to be a friend" = "friend_alter13",
  "Consider person 14 to be a friend" = "friend_alter14",
  "Consider person 15 to be a friend" = "friend_alter15",
  "Consider person 16 to be a friend" = "friend_alter16",
  "Consider person 17 to be a friend" = "friend_alter17",
  "Consider person 18 to be a friend" = "friend_alter18",
  "Consider person 19 to be a friend" = "friend_alter19",
  "Consider person 20 to be a friend" = "friend_alter20",
  "Consider person 21 to be a friend" = "friend_alter21",
  "Consider person 22 to be a friend" = "friend_alter22",
  "Consider person 23 to be a friend" = "friend_alter23",
  "Consider person 24 to be a friend" = "friend_alter24",
  "Consider person 25 to be a friend" = "friend_alter25",
  "Duration answer wj18a269 - wj18a293 in seconds" = "time_friend_alters",
  "Person 1 has (a) child(ren) or is expecting a child" = "has_child_alter1",
  "Person 2 has (a) child(ren) or is expecting a child" = "has_child_alter2",
  "Person 3 has (a) child(ren) or is expecting a child" = "has_child_alter3",
  "Person 4 has (a) child(ren) or is expecting a child" = "has_child_alter4",
  "Person 5 has (a) child(ren) or is expecting a child" = "has_child_alter5",
  "Person 6 has (a) child(ren) or is expecting a child" = "has_child_alter6",
  "Person 7 has (a) child(ren) or is expecting a child" = "has_child_alter7",
  "Person 8 has (a) child(ren) or is expecting a child" = "has_child_alter8",
  "Person 9 has (a) child(ren) or is expecting a child" = "has_child_alter9",
  "Person 10 has (a) child(ren) or is expecting a child" = "has_child_alter10",
  "Person 11 has (a) child(ren) or is expecting a child" = "has_child_alter11",
  "Person 12 has (a) child(ren) or is expecting a child" = "has_child_alter12",
  "Person 13 has (a) child(ren) or is expecting a child" = "has_child_alter13",
  "Person 14 has (a) child(ren) or is expecting a child" = "has_child_alter14",
  "Person 15 has (a) child(ren) or is expecting a child" = "has_child_alter15",
  "Person 16 has (a) child(ren) or is expecting a child" = "has_child_alter16",
  "Person 17 has (a) child(ren) or is expecting a child" = "has_child_alter17",
  "Person 18 has (a) child(ren) or is expecting a child" = "has_child_alter18",
  "Person 19 has (a) child(ren) or is expecting a child" = "has_child_alter19",
  "Person 20 has (a) child(ren) or is expecting a child" = "has_child_alter20",
  "Person 21 has (a) child(ren) or is expecting a child" = "has_child_alter21",
  "Person 22 has (a) child(ren) or is expecting a child" = "has_child_alter22",
  "Person 23 has (a) child(ren) or is expecting a child" = "has_child_alter23",
  "Person 24 has (a) child(ren) or is expecting a child" = "has_child_alter24",
  "Person 25 has (a) child(ren) or is expecting a child" = "has_child_alter25",
  "Duration answer wj18a295 - wj18a319 in seconds" = "time_has_child_alters",
  "Number of children person 1" = "num_child_alter1",
  "Number of children person 2" = "num_child_alter2",
  "Number of children person 3" = "num_child_alter3",
  "Number of children person 4" = "num_child_alter4",
  "Number of children person 5" = "num_child_alter5",
  "Number of children person 6" = "num_child_alter6",
  "Number of children person 7" = "num_child_alter7",
  "Number of children person 8" = "num_child_alter8",
  "Number of children person 9" = "num_child_alter9",
  "Number of children person 10" = "num_child_alter10",
  "Number of children person 11" = "num_child_alter11",
  "Number of children person 12" = "num_child_alter12",
  "Number of children person 13" = "num_child_alter13",
  "Number of children person 14" = "num_child_alter14",
  "Number of children person 15" = "num_child_alter15",
  "Number of children person 16" = "num_child_alter16",
  "Number of children person 17" = "num_child_alter17",
  "Number of children person 18" = "num_child_alter18",
  "Number of children person 19" = "num_child_alter19",
  "Number of children person 20" = "num_child_alter20",
  "Number of children person 21" = "num_child_alter21",
  "Number of children person 22" = "num_child_alter22",
  "Number of children person 23" = "num_child_alter23",
  "Number of children person 24" = "num_child_alter24",
  "Number of children person 25" = "num_child_alter25",
  "Age youngest child of person 1" = "age_child_alter1",
  "Age youngest child of person 2" = "age_child_alter2",
  "Age youngest child of person 3" = "age_child_alter3",
  "Age youngest child of person 4" = "age_child_alter4",
  "Age youngest child of person 5" = "age_child_alter5",
  "Age youngest child of person 6" = "age_child_alter6",
  "Age youngest child of person 7" = "age_child_alter7",
  "Age youngest child of person 8" = "age_child_alter8",
  "Age youngest child of person 9" = "age_child_alter9",
  "Age youngest child of person 10" = "age_child_alter10",
  "Age youngest child of person 11" = "age_child_alter11",
  "Age youngest child of person 12" = "age_child_alter12",
  "Age youngest child of person 13" = "age_child_alter13",
  "Age youngest child of person 14" = "age_child_alter14",
  "Age youngest child of person 15" = "age_child_alter15",
  "Age youngest child of person 16" = "age_child_alter16",
  "Age youngest child of person 17" = "age_child_alter17",
  "Age youngest child of person 18" = "age_child_alter18",
  "Age youngest child of person 19" = "age_child_alter19",
  "Age youngest child of person 20" = "age_child_alter20",
  "Age youngest child of person 21" = "age_child_alter21",
  "Age youngest child of person 22" = "age_child_alter22",
  "Age youngest child of person 23" = "age_child_alter23",
  "Age youngest child of person 24" = "age_child_alter24",
  "Age youngest child of person 25" = "age_child_alter25",
  "Duration answer wj18a321 - wj18a345 and wj18a346 - wj18a370 in seconds" = "time_num_age_child_alters",
  "Happiness in life person 1 after birth of child/children" = "happiness_child_alter1",
  "Happiness in life person 2 after birth of child/children" = "happiness_child_alter2",
  "Happiness in life person 3 after birth of child/children" = "happiness_child_alter3",
  "Happiness in life person 4 after birth of child/children" = "happiness_child_alter4",
  "Happiness in life person 5 after birth of child/children" = "happiness_child_alter5",
  "Happiness in life person 6 after birth of child/children" = "happiness_child_alter6",
  "Happiness in life person 7 after birth of child/children" = "happiness_child_alter7",
  "Happiness in life person 8 after birth of child/children" = "happiness_child_alter8",
  "Happiness in life person 9 after birth of child/children" = "happiness_child_alter9",
  "Happiness in life person 10 after birth of child/children" = "happiness_child_alter10",
  "Happiness in life person 11 after birth of child/children" = "happiness_child_alter11",
  "Happiness in life person 12 after birth of child/children" = "happiness_child_alter12",
  "Happiness in life person 13 after birth of child/children" = "happiness_child_alter13",
  "Happiness in life person 14 after birth of child/children" = "happiness_child_alter14",
  "Happiness in life person 15 after birth of child/children" = "happiness_child_alter15",
  "Happiness in life person 16 after birth of child/children" = "happiness_child_alter16",
  "Happiness in life person 17 after birth of child/children" = "happiness_child_alter17",
  "Happiness in life person 18 after birth of child/children" = "happiness_child_alter18",
  "Happiness in life person 19 after birth of child/children" = "happiness_child_alter19",
  "Happiness in life person 20 after birth of child/children" = "happiness_child_alter20",
  "Happiness in life person 21 after birth of child/children" = "happiness_child_alter21",
  "Happiness in life person 22 after birth of child/children" = "happiness_child_alter22",
  "Happiness in life person 23 after birth of child/children" = "happiness_child_alter23",
  "Happiness in life person 24 after birth of child/children" = "happiness_child_alter24",
  "Happiness in life person 25 after birth of child/children" = "happiness_child_alter25",
  "Duration answer wj18a372 - wj18a396 in seconds" = "time_happiness_child_alters",
  "Person 1 wishes to have children" = "childwish_alter1",
  "Person 2 wishes to have children" = "childwish_alter2",
  "Person 3 wishes to have children" = "childwish_alter3",
  "Person 4 wishes to have children" = "childwish_alter4",
  "Person 5 wishes to have children" = "childwish_alter5",
  "Person 6 wishes to have children" = "childwish_alter6",
  "Person 7 wishes to have children" = "childwish_alter7",
  "Person 8 wishes to have children" = "childwish_alter8",
  "Person 9 wishes to have children" = "childwish_alter9",
  "Person 10 wishes to have children" = "childwish_alter10",
  "Person 11 wishes to have children" = "childwish_alter11",
  "Person 12 wishes to have children" = "childwish_alter12",
  "Person 13 wishes to have children" = "childwish_alter13",
  "Person 14 wishes to have children" = "childwish_alter14",
  "Person 15 wishes to have children" = "childwish_alter15",
  "Person 16 wishes to have children" = "childwish_alter16",
  "Person 17 wishes to have children" = "childwish_alter17",
  "Person 18 wishes to have children" = "childwish_alter18",
  "Person 19 wishes to have children" = "childwish_alter19",
  "Person 20 wishes to have children" = "childwish_alter20",
  "Person 21 wishes to have children" = "childwish_alter21",
  "Person 22 wishes to have children" = "childwish_alter22",
  "Person 23 wishes to have children" = "childwish_alter23",
  "Person 24 wishes to have children" = "childwish_alter24",
  "Person 25 wishes to have children" = "childwish_alter25",
  "Duration answer wj18a398 - wj18a422 in seconds" = "time_childwish_alters",
  "Person 1 wishes to remain childless" = "childfree_alter1",
  "Person 2 wishes to remain childless" = "childfree_alter2",
  "Person 3 wishes to remain childless" = "childfree_alter3",
  "Person 4 wishes to remain childless" = "childfree_alter4",
  "Person 5 wishes to remain childless" = "childfree_alter5",
  "Person 6 wishes to remain childless" = "childfree_alter6",
  "Person 7 wishes to remain childless" = "childfree_alter7",
  "Person 8 wishes to remain childless" = "childfree_alter8",
  "Person 9 wishes to remain childless" = "childfree_alter9",
  "Person 10 wishes to remain childless" = "childfree_alter10",
  "Person 11 wishes to remain childless" = "childfree_alter11",
  "Person 12 wishes to remain childless" = "childfree_alter12",
  "Person 13 wishes to remain childless" = "childfree_alter13",
  "Person 14 wishes to remain childless" = "childfree_alter14",
  "Person 15 wishes to remain childless" = "childfree_alter15",
  "Person 16 wishes to remain childless" = "childfree_alter16",
  "Person 17 wishes to remain childless" = "childfree_alter17",
  "Person 18 wishes to remain childless" = "childfree_alter18",
  "Person 19 wishes to remain childless" = "childfree_alter19",
  "Person 20 wishes to remain childless" = "childfree_alter20",
  "Person 21 wishes to remain childless" = "childfree_alter21",
  "Person 22 wishes to remain childless" = "childfree_alter22",
  "Person 23 wishes to remain childless" = "childfree_alter23",
  "Person 24 wishes to remain childless" = "childfree_alter24",
  "Person 25 wishes to remain childless" = "childfree_alter25",
  "Duration answer wj18a424 - wj18a448 in seconds" = "time_childfree_alters",
  "Could ask for help in caring for child from person 1" = "help_child_alter1",
  "Could ask for help in caring for child from person 2" = "help_child_alter2",
  "Could ask for help in caring for child from person 3" = "help_child_alter3",
  "Could ask for help in caring for child from person 4" = "help_child_alter4",
  "Could ask for help in caring for child from person 5" = "help_child_alter5",
  "Could ask for help in caring for child from person 6" = "help_child_alter6",
  "Could ask for help in caring for child from person 7" = "help_child_alter7",
  "Could ask for help in caring for child from person 8" = "help_child_alter8",
  "Could ask for help in caring for child from person 9" = "help_child_alter9",
  "Could ask for help in caring for child from person 10" = "help_child_alter10",
  "Could ask for help in caring for child from person 11" = "help_child_alter11",
  "Could ask for help in caring for child from person 12" = "help_child_alter12",
  "Could ask for help in caring for child from person 13" = "help_child_alter13",
  "Could ask for help in caring for child from person 14" = "help_child_alter14",
  "Could ask for help in caring for child from person 15" = "help_child_alter15",
  "Could ask for help in caring for child from person 16" = "help_child_alter16",
  "Could ask for help in caring for child from person 17" = "help_child_alter17",
  "Could ask for help in caring for child from person 18" = "help_child_alter18",
  "Could ask for help in caring for child from person 19" = "help_child_alter19",
  "Could ask for help in caring for child from person 20" = "help_child_alter20",
  "Could ask for help in caring for child from person 21" = "help_child_alter21",
  "Could ask for help in caring for child from person 22" = "help_child_alter22",
  "Could ask for help in caring for child from person 23" = "help_child_alter23",
  "Could ask for help in caring for child from person 24" = "help_child_alter24",
  "Could ask for help in caring for child from person 25" = "help_child_alter25",
  "Duration answer wj18a450 - wj18a474 in seconds" = "time_help_child_alters",
  "Discuss having children with person 1" = "talk_child_alter1",
  "Discuss having children with person 2" = "talk_child_alter2",
  "Discuss having children with person 3" = "talk_child_alter3",
  "Discuss having children with person 4" = "talk_child_alter4",
  "Discuss having children with person 5" = "talk_child_alter5",
  "Discuss having children with person 6" = "talk_child_alter6",
  "Discuss having children with person 7" = "talk_child_alter7",
  "Discuss having children with person 8" = "talk_child_alter8",
  "Discuss having children with person 9" = "talk_child_alter9",
  "Discuss having children with person 10" = "talk_child_alter10",
  "Discuss having children with person 11" = "talk_child_alter11",
  "Discuss having children with person 12" = "talk_child_alter12",
  "Discuss having children with person 13" = "talk_child_alter13",
  "Discuss having children with person 14" = "talk_child_alter14",
  "Discuss having children with person 15" = "talk_child_alter15",
  "Discuss having children with person 16" = "talk_child_alter16",
  "Discuss having children with person 17" = "talk_child_alter17",
  "Discuss having children with person 18" = "talk_child_alter18",
  "Discuss having children with person 19" = "talk_child_alter19",
  "Discuss having children with person 20" = "talk_child_alter20",
  "Discuss having children with person 21" = "talk_child_alter21",
  "Discuss having children with person 22" = "talk_child_alter22",
  "Discuss having children with person 23" = "talk_child_alter23",
  "Discuss having children with person 24" = "talk_child_alter24",
  "Discuss having children with person 25" = "talk_child_alter25",
  "Duration answer wj18a476 - wj18a500 in seconds" = "time_talk_child_alters",
  "Which people have contact with each other?" = "which_alters_known_alter1",
  "Which people have contact with each other?" = "which_alters_known_alter2",
  "Which people have contact with each other?" = "which_alters_known_alter3",
  "Which people have contact with each other?" = "which_alters_known_alter4",
  "Which people have contact with each other?" = "which_alters_known_alter5",
  "Which people have contact with each other?" = "which_alters_known_alter6",
  "Which people have contact with each other?" = "which_alters_known_alter7",
  "Which people have contact with each other?" = "which_alters_known_alter8",
  "Which people have contact with each other?" = "which_alters_known_alter9",
  "Which people have contact with each other?" = "which_alters_known_alter10",
  "Which people have contact with each other?" = "which_alters_known_alter11",
  "Which people have contact with each other?" = "which_alters_known_alter12",
  "Which people have contact with each other?" = "which_alters_known_alter13",
  "Which people have contact with each other?" = "which_alters_known_alter14",
  "Which people have contact with each other?" = "which_alters_known_alter15",
  "Which people have contact with each other?" = "which_alters_known_alter16",
  "Which people have contact with each other?" = "which_alters_known_alter17",
  "Which people have contact with each other?" = "which_alters_known_alter18",
  "Which people have contact with each other?" = "which_alters_known_alter19",
  "Which people have contact with each other?" = "which_alters_known_alter20",
  "Which people have contact with each other?" = "which_alters_known_alter21",
  "Which people have contact with each other?" = "which_alters_known_alter22",
  "Which people have contact with each other?" = "which_alters_known_alter23",
  "Which people have contact with each other?" = "which_alters_known_alter24",
  "Which people have contact with each other?" = "which_alters_known_alter25",
  "Duration answer wj18a502 - wj18a526 in seconds" = "time_alters_alters",
  "Most of my friends feel that I should have [more] children." = "pressure_friends",
  "My parents/caretakers feel that I should have [more] children" = "pressure_parents",
  "Duration answer wj18a528 - wj18a529  in seconds" = "time_pressure",
  "You previously mentioned several people. If you compare the people who are roughly of the same age, do you think that the people with or those without children are happier in life?" = "happiness_children_network",
  "Duration answer wj18a531 in seconds" = "time_happiness_children_network",
  "When you listed the 25 names: did you purely draw on your memory for that, or did you make use of a stored list of contacts (e.g. in your mobile phone, email, or Facebook)?" = "names_network",
  "Duration answer wj18a533 in seconden" = "time_names_network",
  "Was it difficult to answer the questions?" = "questions_difficult_survey",
  "Were the questions sufficiently clear?" = "questions_clear_survey",
  "Did the questionnaire get you thinking about things?" = "questions_thinking_survey",
  "Was it an interesting subject?" = "questions_interesting_survey",
  "Did you enjoy answering the questions?" = "questions_enjoy_survey",
  "Starting date questionnaire" = "start_date_survey",
  "Starting time questionnaire" = "start_time_survey",
  "End date questionnaire" = "end_date_survey",
  "End time questionnaire" = "end_time_survey",
  "Duration in seconds" = "duration"
)

# list (lookup table) of background variable names and their question labels
# used in `get_background_vars()`
var_labels_lookup_bck <- c(
  "Number of household member encrypted" = "nomem_encr",
  "Number of household encrypted" = "nohouse_encr",
  "Year and month of the field work period" = "wave",
  "Gender" = "sex",
  "Position within the household" = "position_hh",
  "Year of birth" = "birthyear",
  "Age of the household member" = "age",
  "Age in CBS (Statistics Netherlands) categories" = "age_cat",
  "Age of the household head" = "age_head_hh",
  "Number of household members" = "number_hh_members",
  "Number of living-at-home children in the household, children of the household head or his/her partner" = "children_at_home",
  "The household head lives together with a partner (wedded or unwedded)" = "lives_with_partner",
  "Civil status" = "civil_status",
  "Domestic situation" = "living_situation",
  "Type of dwelling that the household inhabits" = "type_dwelling",
  "Urban character of place of residence" = "urban",
  "Primary occupation" = "primary_occ",
  "Personal gross monthly income in Euros" = "gross_income",
  "Personal gross monthly income in Euros, imputed" = "gross_income_imp",
  "Personal net monthly income in Euros (incl. nettocat)" = "net_income",
  "Personal net monthly income in Euros" = "net_income2",
  "Personal net monthly income in Euros, imputed" = "net_income_imp",
  "Personal gross monthly income in categories" = "gross_income_cat",
  "Personal net monthly income in categories" = "net_income_cat",
  "Gross household income in Euros" = "gross_income_hh",
  "Net household income in Euros" = "net_income_hh",
  "Highest level of education irrespective of diploma" = "educ_no_degree",
  "Highest level of education with diploma" = "educ_degree",
  "Level of education in CBS (Statistics Netherlands) categories" = "educ_CBS",
  "Household member participates in the panel" = "participates",
  "From which recruitment wave the household originates" = "recruitment",
  "Origin" = "origin",
  "Does the household have a simPC?" = "simpc"
)
